<?php

//////////////////////////////////////////////////////////////
//===========================================================
// add_dnsrecord_theme.php
//===========================================================
// SOFTACULOUS VIRTUALIZOR
// Version : 1.0
// Inspired by the DESIRE to be the BEST OF ALL
// ----------------------------------------------------------
// Started by: Alons
// Date:       8th Mar 2010
// Time:       23:00 hrs
// Site:       https://www.virtualizor.com/ (SOFTACULOUS VIRTUALIZOR)
// ----------------------------------------------------------
// Please Read the Terms of use at https://www.virtualizor.com
// ----------------------------------------------------------
//===========================================================
// (c)Softaculous Ltd.
//===========================================================
//////////////////////////////////////////////////////////////

if(!defined('VIRTUALIZOR')){

	die('Hacking Attempt');

}

function add_dnsrecord_theme(){

global $theme, $globals, $kernel, $user, $l, $cluster, $error, $servers, $done, $ips, $pdns, $pdnsid, $zones, $editrecord;

softheader(empty($editrecord) ? $l['<add_title>'] : $l['<edit_title>']);
$bread = [
	0 => [
		'act' => 'pdns'
	],
	2 => [
		'act' => 'dnsrecords',
		'link' => '&pdnsid='.$_GET['pdnsid']
	],
	3 => [
		'act' => (empty($editrecord) ? 'add_dnsrecord' : 'edit_dnsrecord')
	]
];
if(!empty($_GET['domain_id'])){
	$bread[1] = [
		'act' => 'domains',
		'link' => '&pdnsid='.$_GET['pdnsid']
	];
	$bread[2] = [
		'act' => 'dnsrecords',
		'link' => '&domain_id='.$_GET['domain_id'].'&pdnsid='.$_GET['pdnsid']
	];
}
ksort($bread);
echo '

<div class="bg">
<div class="row my-3 mx-auto">
	<div class="col-12 d-flex align-items-center">
	<h4 class="text-dark"><i class="icon icon-pdns"></i>'.(empty($editrecord) ? $l['add_dnsrecord'] : $l['edit_dnsrecord']).'</h4>
	</div>
</div>'.get_breadcrumb($bread).'
<div class="card mt-3 p-2">
';

error_handle($error);

if(!empty($done)){
	show_alert($l['done']);
	//echo '<div class="notice"><b>'.$l['note'].' : </b> &nbsp; '.$l['done'].'</div>';
}
echo '<script language="javascript" type="text/javascript">

function recordtype(rtype){
	$(".rdns").hide();
	$(".dns").hide();
	if(rtype == "type_rdns"){
		$(".rdns").show();
	}else{
		$(".dns").show();
	}
}

function selectedzone(){
	zone = $("#zone_name option:selected").text();
	if(zone != ""){
		$("#domain_value").html("."+zone);
	}
}
		


addonload("selectedzone(\''.(empty($editrecord) ? POSTval('zone_name', '') : '').'\');");
addonload("recordtype(\''.(empty($editrecord) ? POSTval('dns_type', 'type_rdns') : $editrecord['dns_type']).'\');");

</script>';

echo '<div id="form-container">

<form accept-charset="'.$globals['charset'].'" name="add_dnsrecord" method="post" action="" class="form-horizontal">'
.(empty($editrecord) ? '
<div class="row mx-auto w-100 my-3">
	<div class="col-sm-4">
		<label class="control-label">'.$l['dns_type'].'</label><br />
	</div>
	<div class="col-sm-4">
		<select class="custom-select" name="dns_type" id="dns_type" onchange="recordtype(this.value)">
			<option id="type_rdns" value="type_rdns" '.ex_POSTselect('dns_type', 'type_rdns').'>'.$l['type_rdns'].'</option>
			<option id="type_dns" value="type_dns" '.ex_POSTselect('dns_type', 'type_dns').'>'.$l['type_dns'].'</option>
		</select>
	</div>
</div>' : '').'
<div class="row mx-auto w-100 my-3 rdns">
	<div class="col-sm-4">
		<label class="control-label">'.$l['dns_ip'].'</label><br />
	</div>
	<div class="col-sm-4">
		<input type="text" class="form-control" name="dns_ip" value="'.POSTval('dns_ip', rdns_name($editrecord['name'])).'" size="45">
	</div>
</div>
<div class="row mx-auto w-100 my-3 rdns">
	<div class="col-sm-4">
		<label class="control-label">'.$l['domain'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['domain_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
	</div>
	<div class="col-sm-4">
		<input type="text" class="form-control" name="domain" value="'.POSTval('domain', $editrecord['content']).'" size="30">
	</div>
</div>';
if(empty($editrecord)){
	echo '<div class="row mx-auto w-100 my-3 dns">
	<div class="col-sm-4">
		<label class="control-label">'.$l['zone_name'].'</label><br />
	</div>
	<div class="col-sm-4">
		<select class="custom-select" name="zone_name" id="zone_name" onchange="selectedzone();">';
		foreach($zones as $k => $v){
			echo '<option value="'.$v['domain_id'].'" '.POSTselect('zone_name', $v['domain_id']).' >'.$v['name'].'</option>';
		}
	echo '</select>
	</div>
</div>';
}
echo '
<div class="row mx-auto w-100 my-3 dns">
	<div class="col-sm-4">
		<label class="control-label">'.$l['host'].'</label><br />
	</div>
	<div class="col-sm-4">
		<div class="input-group ">
			  <input type="text" class="form-control rounded" name="host" value="'.POSTval('host', $editrecord['name']).'" size="30">
		  <div class="input-group-append">
			<span class="p-1 pt-2"><label id="domain_value" class="help-block"></label></span>
		  </div>
		</div>
	</div>
</div>
'.(empty($editrecord) ? '<div class="row mx-auto w-100 my-3 dns">
	<div class="col-sm-4"><label class="control-label">Type</label></div>
	<div class="col-sm-4">
		<select class="custom-select" name="record_type" id="record_type" value="'.POSTselect('record_type', '').'">
			<option name="a_record" id="a_record" value="A" '.ex_POSTselect('record_type', 'A').'>A (host)</option>
			<option name="cname_record" id="cname_record" value="CNAME" '.ex_POSTselect('record_type', 'CNAME').'>CNAME (Aliases)</option>
			<option name="mx_record" id="mx_record" value="MX" '.ex_POSTselect('record_type', 'MX').'>MX (Mail Exchange)</option>
			<option name="txt_record" id="txt_record" value="TXT" '.ex_POSTselect('record_type', 'TXT').'>TXT (Text)</option>
			<option name="ns_record" id="ns_record" value="NS" '.ex_POSTselect('record_type', 'NS').'>NS (Name Servers)</option>
			<option name="aaaa_record" id="aaaa_record" value="AAAA" '.ex_POSTselect('record_type', 'AAAA').'>AAAA (IPV6 Hosts)</option>
		</select>
	</div>
</div>' : '').'
<div class="row mx-auto w-100 my-3 dns">
	<div class="col-sm-4"><label class="control-label">Content</label></div>
	<div class="col-sm-4">
		<input id="content" type="text" class="form-control" name="content" value="'.POSTval('content', $editrecord['content']).'">
	</div>
</div>
<div class="row mx-auto w-100 my-3 dns">
	<div class="col-sm-4"><label class="control-label">Priority</label></div>
	<div class="col-sm-4"><input id="prio" type="text" class="form-control" name="prio" value="'.POSTval('prio', $editrecord['prio']).'"></div>		
</div>
<div class="row mx-auto w-100 my-3 dns">
	<div class="col-sm-4"><label class="control-label">TTL</label></div>
	<div class="col-sm-4"><input id="ttl" type="text" class="form-control" name="ttl" value="'.POSTval('ttl', $editrecord['ttl']).'"></div>
</div>

<br /><br />
<center><input type="submit" value="'.$l['sub_but'].'" class="go_btn" name="add_dnsrecord" /></center>

</form>
</div>
</div>
';

softfooter();

}

?>